## gnutls28 3.5.6

=== debian/changelog ===
gnutls28 (3.5.6-4ubuntu4) zesty; urgency=medium

  * Fix FTBFS because of failing test (LP: #1679868)
    - debian/patches/fix_tests_timezone.patch: address test suite failure
      due to timezone differences in tests/cert-tests/pkcs7.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Apr 2017 10:06:24 -0400

gnutls28 (3.5.6-4ubuntu3) zesty; urgency=medium

  * SECURITY UPDATE: double-free when reading proxy language
    - debian/patches/CVE-2017-5334.patch: fix double-free in
      lib/x509/x509_ext.c.
    - CVE-2017-5334
  * SECURITY UPDATE: out of memory error in stream reading functions
    - debian/patches/CVE-2017-5335.patch: add error checking to
      lib/opencdk/read-packet.c.
    - CVE-2017-5335
  * SECURITY UPDATE: stack overflow in cdk_pk_get_keyid
    - debian/patches/CVE-2017-5336.patch: check return code in
      lib/opencdk/pubkey.c.
    - CVE-2017-5336
  * SECURITY UPDATE: heap read overflow when reading streams
    - debian/patches/CVE-2017-5337.patch: add more precise checks to
      lib/opencdk/read-packet.c.
    - CVE-2017-5337

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Feb 2017 14:21:40 -0500

gnutls28 (3.5.6-4ubuntu2) zesty; urgency=medium

  * d/p/dname-api-*.patch fix gnutls api breakage on dname order in
    gnutls 3.5.6 (LP: #1641615)
    - d/libgnutls30.symbols add new symbols added by the upstream fix

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Nov 2016 08:39:43 +0100

gnutls28 (3.5.6-4ubuntu1) zesty; urgency=medium

  * Merge with Debian.  Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable failing
      test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl
  * New upstream version avoids getrandom() at initialization which caused
    NetworkManager to hang at boot. (LP: #1622893)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Nov 2016 12:47:23 +0100

gnutls28 (3.5.6-4) unstable; urgency=medium

  * Pull 40_01_sockets-only-use-gnutls_bye-on-a-valid-socket-sessio.patch
   40_02_gnutls-cli-debug-terminate-sessions-which-cannot-be-.patch from
   upstream git master. The latter fixes a gnutls-cli-debug segfault.
   Closes: #844061

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Nov 2016 18:40:05 +0100

gnutls28 (3.5.6-2) unstable; urgency=low

  * Upload to unstable.
  * Bump libtasn1-6-dev b-d to >= 4.9 to support OIDs with elements that are
    longer than 32-bits. (Upstream GIT commit
    fcdb461e935dbdc0892241a35be7499116f22a67).

 -- Andreas Metzler <ametzler@debian.org>  Thu, 10 Nov 2016 18:28:02 +0100

gnutls28 (3.5.6-1) experimental; urgency=low

  * New upstream version.
    + Drop superfluous patches (40_gnutls_certificate_set_key_apifixup.diff
      41_Reverted-the-behavior-of-sending-a-status-request-ex.patch).
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Nov 2016 19:31:31 +0100

gnutls28 (3.5.5-6) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 31 Oct 2016 19:00:47 +0100

gnutls28 (3.5.5-5) experimental; urgency=medium

  * 41_Reverted-the-behavior-of-sending-a-status-request-ex.patch from
    https://gitlab.com/gnutls/gnutls/merge_requests/128 - Fix compatibility
    issue with GnuTLS 3.3 clients. Closes: #841723
  * Bump symbol dependency info for multiple
    gnutls_certificate_(set|get)_*_key* functions. If
    %GNUTLS_CERTIFICATE_API_V2 is set these functions will return a
    non-negative return code on success instead of 0 for success and negative
    numbers for failure.
  * Add b-d on openssl (for testsuite).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Oct 2016 18:03:49 +0200

gnutls28 (3.5.5-4) unstable; urgency=medium

  * Upload to unstable.
  * Refresh 40_gnutls_certificate_set_key_apifixup.diff from master branch.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Oct 2016 19:19:25 +0200

gnutls28 (3.5.5-3) experimental; urgency=medium

  * 40_gnutls_certificate_set_key_apifixup.diff: Fix ABI breakage introduced
    in 3.5.5.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Oct 2016 15:51:58 +0200

gnutls28 (3.5.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Oct 2016 13:49:51 +0200

gnutls28 (3.5.5-1) experimental; urgency=medium

  * New upstream version.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 11 Oct 2016 19:19:42 +0200

gnutls28 (3.5.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Sep 2016 13:14:49 +0200

gnutls28 (3.5.4-1) experimental; urgency=medium

  * New upstream version.
    + Drop superfluous patches:
      35_gnutls-cli-print-Handshake-was-completed.patch
      36_gnutls-cli-fixed-the-behavior-when-starttls-or-start.patch
      37_openssl-format-fix-from-openconnect.patch
      39_ocsptool-corrected-bug-in-session-establishment.patch
      40_ocsp-corrected-the-comparison-of-the-serial-size-in-.patch
      45_01-tests-enhance-the-DTLS-window-unit-test-to-account-f.patch
      45_02-dtls-ensure-that-the-DTLS-window-doesn-t-get-stalled.patch
      45_03-tests-mini-dtls-record-modified-expected-order-to-ac.patch
      45_04-Import-DTLS-sliding-window-validation-from-OpenConne.patch
    + Update symbol file.
  * Add b-d on softhsm2 for pkcs11 tests.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Sep 2016 14:45:06 +0200
