## gnutls28 3.5.18

=== debian/changelog ===
gnutls28 (3.5.18-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable
      failing test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Mar 2018 11:12:59 +0100

gnutls28 (3.5.18-1) unstable; urgency=medium

  * New upstream version.
  * Refresh upstream key, adding new signing subkey. Move to ascii armored
    keyring.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 16 Feb 2018 18:39:11 +0100

gnutls28 (3.5.17-1ubuntu3) bionic; urgency=medium

  * Rebuild against new libunistring 0.9.9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Mar 2018 09:24:47 +0100

gnutls28 (3.5.17-1ubuntu2) bionic; urgency=medium

  * Stop building with --with-included-unistring now that we get a new
    unistring

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2018 16:14:36 +0100

gnutls28 (3.5.17-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/disable_global_init_override_test.patch: disable
      failing test.
    - debian/patches/add-openssl-test-link.patch: add link for libssl
  * Build with --with-included-unistring for now as our libunistring is
    too old and needs a transition.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Jan 2018 13:24:04 +0100

gnutls28 (3.5.17-1) unstable; urgency=low

  * New upstream version.
    + When verifying against a self signed certificate ignore issuer. That
      is, ignore issuer when checking the issuer's parameters strength,
      resolving issue #347 which caused self signed certificates to be
      additionally marked as of insufficient security level.
      Closes: #885127

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Jan 2018 19:13:49 +0100

gnutls28 (3.5.16-1) unstable; urgency=medium

  * New upstream version.
    + Fixes interoperability issue with openssl when safe renegotiation was
      used. Closes: #873055
  * 35_modernize_gtkdoc.diff from upstream GIT master: Modernize gtk-doc
    support. Update gtk-doc.make, m4/gtk-doc.m4 and doc/reference/Makefile.am
    from gtk-doc git head (that is 1.26 +
    c08cc78562c59082fc83b55b58747177510b7a70). Disable gtkdoc-check.
    Closes: #876587

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Oct 2017 13:57:48 +0200

gnutls28 (3.5.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Aug 2017 18:56:34 +0200

gnutls28 (3.5.15-1) experimental; urgency=medium

  * New upstream version. Drop unneeded patches.
    (31_arm64ilp32-unaccelerated.patch
    35_record-added-sanity-checking-in-the-record-layer-ver.patch
    36_parse_pem_cert_mem-fixed-issue-resulting-to-accessin.patch)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 21 Aug 2017 19:27:13 +0200

gnutls28 (3.5.14-3) unstable; urgency=low

  * 35_record-added-sanity-checking-in-the-record-layer-ver.patch from
    upstream  gnutls_3_5_x branch: Prevent crash on calling gnutls_bye() on an
    already terminated or deinitialized session. Closes: #867303
  * 36_parse_pem_cert_mem-fixed-issue-resulting-to-accessin.patch from
    upstream  gnutls_3_5_x branch: parse_pem_cert_mem: fixed issue resulting
    to accessing past the input data.
  * 31_arm64ilp32-unaccelerated.patch by Wookey: Disable assembly
    code on arm64ilp32 to fix FTBFS. Closes: #872454
  * Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog, except for
    the compatibility code for setting SOURCE_DATE_EPOCH with dpkg << 1.18.8.
  * Standards-Version 4.0.1, update priorities (extra->optional).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Aug 2017 18:47:38 +0200

gnutls28 (3.5.14-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jul 2017 18:34:43 +0200

gnutls28 (3.5.14-1) experimental; urgency=low

  [ Dan Nicholson ]
  * Build with --disable-rpath. Closes: #865674

  [ Andreas Metzler ]
  * New upstream version.
  * Build against external libunistring.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 05 Jul 2017 19:31:06 +0200

gnutls28 (3.5.13-2) unstable; urgency=medium

  * Upload to unstable, merge changelogs.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 22 Jun 2017 18:18:19 +0200

gnutls28 (3.5.13-1) experimental; urgency=low

  * New upstream version.
    + Drop 35_test-corrected-typo-preventing-the-run-of-openpgp-te.patch.
    + Fixes GNUTLS-SA-2017-4/CVE-2017-7507 - Crash due to a null pointer
      dereference. #864560

 -- Andreas Metzler <ametzler@debian.org>  Fri, 09 Jun 2017 18:53:39 +0200

gnutls28 (3.5.12-2) experimental; urgency=medium

  * 35_test-corrected-typo-preventing-the-run-of-openpgp-te.patch: Correct
    typo preventing the run of openpgp test.
  * Stop disabling heartbeat support. Closes: #861193

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 May 2017 11:34:32 +0200

gnutls28 (3.5.12-1) experimental; urgency=medium

  * New upstream version.
  * Bump dep info on gnutls_session_ext_register.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 May 2017 19:14:52 +0200

gnutls28 (3.5.11-1) experimental; urgency=medium

  * New upstream version.
  * gnutls.pc: do not include libtool options into Libs.private.
    Closes: #857943
  * gnutls.pc does not refer to e.g. zlib in *both* Requires.private and
    Libs.private. (LP: #1660915)
  * OpenSSL wrapper: SSLv23_*_method translates to NORMAL GnuTLS priority,
    which includes TLS1.2 support. Closes: #857436
  * Add b-d on ca-certificates, needed for trust-store check.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Apr 2017 14:51:31 +0200

gnutls28 (3.5.10-1) experimental; urgency=medium

  * New upstream version.
    + gnutls.pc: do not include libidn2 in Requires.private. Closes: #855888
    + Includes fixes for GNUTLS-SA-2017-3[ABC].
    + Bump info for gnutls_store_commitment, gnutls_ocsp_resp_verify_direct

