## gnutls28 3.5.18-1ubuntu1.4%2B8.0trisquel1

=== debian/changelog ===
gnutls28 (3.5.18-1ubuntu1.4+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jul 2020 18:07:49 +0000

gnutls28 (3.5.18-1ubuntu1.4) bionic; urgency=medium

  * d/p/50_Update-session_ticket.c-to-add-support-for-zero-leng.patch:
    - add support for zero length  session tickets returned from the server,
      thanks Rod for the backport and testing! (lp: #1876286)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Jun 2020 12:03:27 +0200

gnutls28 (3.5.18-1ubuntu1.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Allow re-enabling SHA1 for certificate signing with a
    priority string (LP: #1860656)
    - debian/patches/allow_broken_priority_string.patch: introduce the
      %VERIFY_ALLOW_BROKEN priority string option.
    - debian/patches/allow_sha1_priority_string.patch: introduce the
      %VERIFY_ALLOW_SIGN_WITH_SHA1 priority string option.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jan 2020 08:39:38 -0500

gnutls28 (3.5.18-1ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Mark SHA1 as insecure for certificate signing
    - debian/patches/insecuresha1-*.patch: backport upstream patches to
      allow marking SHA1 as insecure, but only for certificate signing.
    - debian/libgnutls30.symbols: added new symbol.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jan 2020 10:39:00 -0500

gnutls28 (3.5.18-1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Lucky-13 issues
    - debian/patches/CVE-2018-1084x-1.patch: correctly account the length
      field in SHA384 HMAC in lib/algorithms/mac.c, lib/cipher.c.
    - debian/patches/CVE-2018-1084x-2.patch: always hash the same amount of
      blocks that would have been on minimum pad in lib/cipher.c.
    - debian/patches/CVE-2018-1084x-3.patch: require minimum padding under
      SSL3.0 in lib/cipher.c.
    - debian/patches/CVE-2018-1084x-4.patch: hmac-sha384 and sha256
      ciphersuites were removed from defaults in lib/priority.c,
      tests/dtls1-2-mtu-check.c, tests/priorities.c.
    - debian/patches/CVE-2018-1084x-5.patch: fix test for SHA512 in
      tests/pkcs12_encode.c.
    - CVE-2018-10844
    - CVE-2018-10845
    - CVE-2018-10846
  * SECURITY UPDATE: double free in cert verification API
    - debian/patches/CVE-2019-3829-1.patch: automatically NULLify after
      gnutls_free() in lib/includes/gnutls/gnutls.h.in.
    - debian/patches/CVE-2019-3829-2.patch: fix some casts in
      lib/extensions.c.
    - debian/patches/CVE-2019-3829-3.patch: fix dereference of NULL pointer
      in lib/x509/x509.c.
    - CVE-2019-3829

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 May 2019 13:18:12 -0400
